---
title: List SSH keys
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/listsshkeys/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/listsshkeys.png
---

# List SSH keys

GET

/ssh_keys

Select code sample

```sh
curl --request GET \
  --url 'https://api.wpengineapi.com/v1/ssh_keys?limit=100&offset=100' \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the SSH keys that the authenticated user has added. Results are paginated - use the `limit` and `offset` parameters to page through large sets.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Query Parameters

**limit**

integer

default: 100 <= 100

(Optional) The number of records to return

#### Example

```json
100
```

**offset**

integer

0

(Optional) The first record of the result set to be retrieved

#### Example

```json
100
```

## Responses

### 200

Returns a list of `SshKey` objects.

Media typeapplication/json

object

**previous**

Path to the previous page of results

string

nullable

**next**

Path to the next page of results

string

nullable

**count**

The total number of results

integer

**results**

Array\<object>

object

**comment**

string

**created_at**

string

**fingerprint**

string

**uuid**

string format: uuid

#### Example

```json
{
  "previous": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=0",
  "next": "https://api.wpengineapi.com/v1/example-endpoint?limit=100&offset=200",
  "count": 225,
  "results": [
    {
      "comment": "joe@gmail.com",
      "created_at": "2019-09-01T15:59:24.277Z",
      "fingerprint": "a1:b2:c3:d4:e5:46:a7:88:c9:40:d2:d7:9b:cd:42:05",
      "uuid": "e41fa98f-ea80-1f16-a7b7-d748bcc9e64d"
    }
  ]
}
```

### 400

Bad Request

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

**errors**

An array of error objects describing specific errors that arose when servicing the request

Array\<object>

object

**resource**

required

The name of the resource that was being processed when the error occurred

string

**field**

required

(Optional) The specific field associated with the error

string

**type**

required

(Optional) A type associated with the error. `invalid_value`, `access_error`, `value_unavailable`

string

**code**

required

(Optional) A machine code relating to the error that occurred with the field and resource

string

**message**

required

(Optional) A human-readable message relating to the error that occurred with the field and resource

string

#### Example

```json
{
  "message": "Invalid request.",
  "errors": [
    {
      "resource": "Resource",
      "field": "field_name",
      "type": "invalid_value",
      "code": "invalid",
      "message": "The value is invalid."
    }
  ]
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
